# Physics Video Player

## Description:
The physics video player is an HTML5 replacement for traditional OS specific media players (such as VLC or Windows Media Player). It uses Chrome's native video playback functionality to provide a way to watch and manipulate locally-stored videos. Supported file types include webm, mp4, mp3, and ogg. It also includes functionality to assist in making measurements of motion in videos: a graphing tool, a point logger, and a method to increment videos by individual frames.

## Requirements:
Chrome 49+

## Usage
1) Click Browse...  
2) Navigate to the video of your choice and click open  
3) The video should display under the Browse... button along with controls.  
4) If the video needs to be rotated, click the circle arrow in the video controls.  
5) To enable frame-seeking, select the frame rate by clicking the cog wheel and choose the appropriate FPS.  
6) Play the video or change the start time by clicking on the playback bar. When you reach the experimental run, click "RESET TIMER" to add a data column for the run. 
7) To add a measurement, click the "ADD" button to record the time and enable data entry.  
8) Type in a numerical value while a table value is selected.  
9) Repeat as necessary.  
10) To add data from another run or video, navigate to it and then click "RESET TIMER".  
11) As data accumulates, it will automatically plot the data in the graph below the video.  
12) To save the graph, click the 3-dots icon and choose a format.  

## Hotkeys
To expedite use, the following hotkeys are available while a playable video is loaded:  
**\-** or **\_**: previous frame  
**\+** or **\=**: next frame  
**f**: full screen  
**p**: play/pause  
**m**: mute  
